GWT 2.7.0

## com.google.gwt.view.client
Class CellPreviewEvent<T>

    java.lang.Object
      com.google.web.bindery.event.shared.Event<H>
          com.google.gwt.event.shared.GwtEvent<CellPreviewEvent.Handler<T>>
              com.google.gwt.view.client.CellPreviewEvent<T>

Type Parameters:
  `T` - the data type of the `HasData` source

    public class CellPreviewEvent<T>

extends GwtEvent<CellPreviewEvent.Handler<T>>

Allows the previewing of events before they are fired to Cells.

Nested Class Summary
`static interface` | `CellPreviewEvent.Handler<T>` Handler for `CellPreviewEvent`.

Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent
`GwtEvent.Type<H>`

Constructor Summary
`protected` | `CellPreviewEvent(NativeEvent nativeEvent, HasData<T> display, Cell.Context context, T value, boolean isCellEditing, boolean isSelectionHandled)` Construct a new `CellPreviewEvent`.

Method Summary
`protected void` | `dispatch(CellPreviewEvent.Handler<T> handler)` Should only be called by `HandlerManager`.

`static

`<T> CellPreviewEvent<T>`

`

`fire(HasCellPreviewHandlers<T> source, NativeEvent nativeEvent, HasData<T> display, Cell.Context context, T value, boolean isCellEditing, boolean isSelectionHandled)`
Fires a cell preview event on all registered handlers in the handler manager.

`GwtEvent.Type<CellPreviewEvent.Handler<T>>` | `getAssociatedType()` Returns the `Event.Type` used to register this event, allowing an `EventBus` to find handlers of the appropriate class.
`int` | `getColumn()` Get the column index of the Cell where the event occurred if the source is a table.
`Cell.Context` | `getContext()` Get the cell `Cell.Context`.
`HasData<T>` | `getDisplay()` Get the `HasData` source of the event.
`int` | `getIndex()` Get the index of the value where the event occurred.
`NativeEvent` | `getNativeEvent()` Get the `NativeEvent` to preview.
`static GwtEvent.Type<CellPreviewEvent.Handler<?>>` | `getType()` Gets the type associated with this event.
`T` | `getValue()` Get the value where the event occurred.
`boolean` | `isCanceled()` Check if the event has been canceled.
`boolean` | `isCellEditing()` Check whether or not the cell where the event occurred is being edited.
`boolean` | `isSelectionHandled()` Check whether or not selection is being handled by the widget or one of its Cells.
`void` | `setCanceled(boolean cancel)` Cancel the event and prevent it from firing to the Cell.

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, getSource, isLive, kill, revive`

Methods inherited from class com.google.web.bindery.event.shared.Event
`setSource, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CellPreviewEvent

    protected CellPreviewEvent(NativeEvent nativeEvent,
                               HasData<T> display,
                               Cell.Context context,
                               T value,
                               boolean isCellEditing,
                               boolean isSelectionHandled)

  Construct a new `CellPreviewEvent`.

  Parameters:
    `nativeEvent` - the event to preview
    `display` - the `HasData` source of the event
    `context` - the Cell `Cell.Context`
    `value` - the value where the event occurred
    `isCellEditing` - indicates whether or not the cell is being edited
    `isSelectionHandled` - indicates whether or not selection is handled

Method Detail

### fire

    public static <T> CellPreviewEvent<T> fire(HasCellPreviewHandlers<T> source,
                                               NativeEvent nativeEvent,
                                               HasData<T> display,
                                               Cell.Context context,
                                               T value,
                                               boolean isCellEditing,
                                               boolean isSelectionHandled)

  Fires a cell preview event on all registered handlers in the handler manager. If no such handlers exist, this implementation will do nothing. This implementation sets the column to 0.

  Type Parameters:
    `T` - the old value type
  Parameters:
    `source` - the source of the handlers
    `nativeEvent` - the event to preview
    `display` - the `HasData` source of the event
    `context` - the Cell `Cell.Context`
    `value` - the value where the event occurred
    `isCellEditing` - indicates whether or not the cell is being edited
    `isSelectionHandled` - indicates whether or not selection is handled
  Returns:
    the `CellPreviewEvent` that was fired

### getType

    public static GwtEvent.Type<CellPreviewEvent.Handler<?>> getType()

  Gets the type associated with this event.

  Returns:
    returns the handler type

### getAssociatedType

    public GwtEvent.Type<CellPreviewEvent.Handler<T>> getAssociatedType()

  Description copied from class: `Event`
  Returns the `Event.Type` used to register this event, allowing an `EventBus` to find handlers of the appropriate class.

  Specified by:
    `getAssociatedType` in class `GwtEvent<CellPreviewEvent.Handler<T>>`
  Returns:
    the type

### getColumn

    public int getColumn()

  Get the column index of the Cell where the event occurred if the source is a table. If the source is not a table, the column is always 0.

  Returns:
    the column index, or 0 if there is only one column

### getContext

    public Cell.Context getContext()

  Get the cell `Cell.Context`.

  Returns:
    the cell `Cell.Context`

### getDisplay

    public HasData<T> getDisplay()

  Get the `HasData` source of the event.

### getIndex

    public int getIndex()

  Get the index of the value where the event occurred.

### getNativeEvent

    public NativeEvent getNativeEvent()

  Get the `NativeEvent` to preview.

### getValue

    public T getValue()

  Get the value where the event occurred.

### isCanceled

    public boolean isCanceled()

  Check if the event has been canceled.

  Returns:
    true if the event has been canceled
  See Also:
    `setCanceled(boolean)`

### isCellEditing

    public boolean isCellEditing()

  Check whether or not the cell where the event occurred is being edited.

  Returns:
    true if the cell is being edited, false if not

### isSelectionHandled

    public boolean isSelectionHandled()

  Check whether or not selection is being handled by the widget or one of its Cells.

  Returns:
    true if selection is handled by the widget

### setCanceled

    public void setCanceled(boolean cancel)

  Cancel the event and prevent it from firing to the Cell.

  Parameters:
    `cancel` - true to cancel the event, false to allow it

### dispatch

    protected void dispatch(CellPreviewEvent.Handler<T> handler)

  Description copied from class: `GwtEvent`
  Should only be called by `HandlerManager`. In other words, do not use or call.

  Specified by:
    `dispatch` in class `GwtEvent<CellPreviewEvent.Handler<T>>`
  Parameters:
    `handler` - handler
  See Also:
    `EventBus.dispatchEvent(Event, Object)`

GWT 2.7.0